%{?nodejs_find_provides_and_requires}

%global packagename ts-node

# Testing currently fails
%global enable_tests 1

Name:		nodejs-ts-node
Version:	6.0.3
Release:	1%{?dist}
Summary:	TypeScript execution environment and REPL for node

License:	MIT
URL:		https://github.com/TypeStrong/ts-node.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# We still have an older version of npm(chalk) in Fedora
Patch0:		nodejs-ts-node_comment-out-failing-tests.patch


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

BuildRequires:	npm(arrify)
BuildRequires:	npm(chalk)
BuildRequires:	npm(make-error)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(source-map-support)
BuildRequires:	npm(yn)

%if 0%{?enable_tests}
BuildRequires:    mocha
BuildRequires:    npm(chai)
BuildRequires:    npm(semver)
BuildRequires:    npm(typescript)
BuildRequires:    npm(proxyquire)
%endif

%description
TypeScript execution environment and REPL for node


%prep
%autosetup -n package -p 1
# setup the tests
%setup -q -T -D -a 1 -n package

sed -i '1s/env //' dist/bin.js
chmod 755 dist/bin.js

%nodejs_fixdep chalk

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ register/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha dist/**/*.spec.js -R spec --bail
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed May 23 2018 Jared K. Smith <jsmith@fedoraproject.org> - 6.0.3-1
- Initial packaging
